Create a conversation

Base URL
https://{kibana_url}
  • POST /api/security_ai_assistant/current_user/conversations
Auth

Create a new Security AI Assistant conversation. This endpoint allows the user to initiate a conversation with the Security AI Assistant by providing the required parameters.

Request body

category enum

The conversation category.

Values: assistant insights
excludeFromLastConversationStorage boolean

Exclude from last conversation storage.

id string

The conversation id.

replacements map string to string

Replacements object used to anonymize/deanonymize messages

title string required

The conversation title.

Responses

Indicates a successful call. The conversation was created successfully.

application/json
category enum required

The conversation category.

Values: assistant insights
createdAt string required

The time conversation was created.

createdBy object required

Could be any string, not necessarily a UUID.

id string

User id.

name string

User name.

excludeFromLastConversationStorage boolean

Exclude from last conversation storage.

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

messages object[]

The conversation messages.

Same fields as messages
namespace string required

Kibana space

replacements map string to string

Replacements object used to anonymize/deanonymize messages

timestamp string · format: nonempty · min length: 1

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

title string required

The conversation title.

updatedAt string

The last time conversation was updated.

users object[] required
id string

User id.

name string

User name.

Base URL
https://{kibana_url}